org.minidns.record

## Class DLV

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.DelegatingDnssecRR
    - - org.minidns.record.DLV

-     public class DLV
      extends DelegatingDnssecRR

  DNS DLV (DNSSEC Lookaside Validation) record payload.
  Provides DNSSEC trust anchors from external validation repositories. Has same format as DS records but used for lookaside validation.
  See Also:
    RFC 4431

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.record.DelegatingDnssecRR

      `DelegatingDnssecRR.SharedData`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.record.DelegatingDnssecRR

      `algorithm, algorithmByte, digest, digestType, digestTypeByte, keyTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLV(int keyTag, byte algorithm, byte digestType, byte[] digest)`
    `DLV(int keyTag, DnssecConstants.SignatureAlgorithm algorithm, DnssecConstants.DigestAlgorithm digestType, byte[] digest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static DLV` | `parse(DataInputStream dis, int length)`

    - ### Methods inherited from class org.minidns.record.DelegatingDnssecRR

      `digestEquals, getDigestBigInteger, getDigestHex, parseSharedData, serialize, toString`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DLV

          public DLV(int keyTag,
                     byte algorithm,
                     byte digestType,
                     byte[] digest)

    - #### DLV

          public DLV(int keyTag,
                     DnssecConstants.SignatureAlgorithm algorithm,
                     DnssecConstants.DigestAlgorithm digestType,
                     byte[] digest)

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static DLV parse(DataInputStream dis,
                                  int length)
                           throws IOException

      Throws:
        `IOException`